<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp java of">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:variable name="vIdObj" select="alphaHash(getIdNode(..))"/>
	<xsl:template match="*">
		<xsl:variable name="vImgEmpty" select="translatePubPath2DestUrl('/lib-md/w_mapMgr/empty.gif')"/>
		<xsl:variable name="vImgProps" select="parseXml(getProps(gotoSubModel(sp:image), 'nav'))/props/image"/>
		<xsl:variable name="vImgUri" select="getUrl(gotoSubModel(sp:image), 'nav')"/>
		<xsl:variable name="vImgAlt" select="getContent(gotoSubModel(sp:image), 'alt')"/>
		<xsl:variable name="vRatio" select="$vImgProps/@transformedWidth div $vImgProps/@nativeWidth"/>
		<div style="position:relative;width:{$vImgProps/@transformedWidth}px;height:{$vImgProps/@transformedHeight}px;" class="map_base map_highlight_{if(of:mapM/sp:properties/sp:areaHighlight/text()='never','off','on')}">
			<img src="{$vImgUri}" width="{$vImgProps/@transformedWidth}" height="{$vImgProps/@transformedHeight}" alt="{$vImgAlt}" class="map_img "/>
			<img src="{$vImgEmpty}" width="{$vImgProps/@transformedWidth}" height="{$vImgProps/@transformedHeight}" alt="" usemap="#map{$vIdObj}" style="position:absolute;border:0px;left:0px;top:0px;" class="map_empty " data-maphighlight="{{fillColor:'{genProp('map.fill-color','000000')}',strokeColor:'{genProp('map.stroke-color','FFFFFF')}'{if(of:mapM/sp:properties/sp:areaHighlight/text()='always',',alwaysOn:true','')}}}"/>
			<map name="map{$vIdObj}">
				<xsl:for-each select="sp:area">
					<xsl:variable name="vTitle" select="returnFirst(of:mapArea/sp:title, getFullTitleText(gotoSubModel(.)))"/>
					<xsl:variable name="vDesc" select="getContent(gotoSubModel(of:mapArea/sp:description))"/>
					<xsl:variable name="vIndex" select="count(../preceding-sibling::sp:area)+1"/>
					<xsl:variable name="vIdChoice" select="concat($vIdObj, '_', $vIndex)"/>
					<xsl:variable name="vCoords" select="java:eu.scenari.modeling.util.Math.coordsRound(java:eu.scenari.modeling.util.Math.coordsRatio(of:mapArea/sp:geo/sp:coords/text(),$vRatio))"/>
					<xsl:choose>
						<xsl:when test="string-length($vDesc)&gt;0">
							<scTooltip trigger="onmouseover" class="tt" classRoot="map_tt" options="{if(contains($vDesc, 'txt_url_ul'),'STICKY:true,CLSBTN:true,CLSBTNCAP:''x'',CLSBTNTI:''Close''','')}" basketKey="footNotes" render="asTooltip" basketLnk="no" itemKey="map{alphaHash(getIdFromPath(@sc:refUri))}">
								<scTooltipTitle>
									<xsl:value-of select="$vTitle"/>
								</scTooltipTitle>
								<scTooltipContent>
									<xsl:value-of select="$vDesc" disable-output-escaping="yes"/>
								</scTooltipContent>
								<area shape="{of:mapArea/sp:geo/sp:shape}" coords="{$vCoords}" title="{escapeHtmlAtt($vTitle)}" alt="{escapeHtmlAtt($vTitle)}"/>
							</scTooltip>
						</xsl:when>
						<xsl:otherwise>
							<area shape="{of:mapArea/sp:geo/sp:shape}" coords="{$vCoords}" title="{escapeHtmlAtt($vTitle)}" alt="{escapeHtmlAtt($vTitle)}"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</map>
		</div>
	</xsl:template>
</xsl:stylesheet>
