<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java of sfacet sp " extension-element-prefixes="java of sfacet sp " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="of:blog" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="of:blog" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:blog" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blogM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:blog" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:blog/sp:margin">
<node xp="of:blog/sp:margin[{count(preceding-sibling::sp:margin) + 1}]" name="Side note">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:blog/sp:post">
<node xp="of:blog/sp:post[{count(preceding-sibling::sp:post) + 1}]" name="Post">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:section" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:sectionM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:section" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:section/sp:sec">
<node xp="of:section/sp:sec[{count(preceding-sibling::sp:sec) + 1}]" name="Section">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:fragment" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:fragment" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:block" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:block" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:flow" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:flow" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:eventList" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:eventListM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:eventList" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:event" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:eventM"><xsl:variable name="vList" select="sp:date | sp:title"/><xsl:if test="$vList"><xsl:for-each select="$vList"><xsl:value-of select="."/><xsl:if test="position()!=last()"><xsl:text> - </xsl:text></xsl:if></xsl:for-each></xsl:if></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:event" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:gallery" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:galleryM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:gallery" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:tree" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:treeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:tree" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:tree/sp:node">
<node xp="of:tree/sp:node[{count(preceding-sibling::sp:node) + 1}]" name="Child node">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:head"><xsl:value-of select="sp:givenName"/><xsl:if test="sp:familyName"><xsl:text> </xsl:text><xsl:value-of select="sp:familyName"/></xsl:if><xsl:if test="sp:tagline"><xsl:text>- </xsl:text><xsl:value-of select="sp:tagline"/></xsl:if></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:status">
<node xp="of:cv/sp:status[{count(preceding-sibling::sp:status) + 1}]" name="Current professional situation">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:diplomas">
<node xp="of:cv/sp:diplomas[{count(preceding-sibling::sp:diplomas) + 1}]" name="Training / Degrees">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:experience">
<node xp="of:cv/sp:experience[{count(preceding-sibling::sp:experience) + 1}]" name="Professional experience">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:skills">
<node xp="of:cv/sp:skills[{count(preceding-sibling::sp:skills) + 1}]" name="Skills">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:section">
<node xp="of:cv/sp:section[{count(preceding-sibling::sp:section) + 1}]" name="Other section">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:languages">
<node xp="of:cv/sp:languages[{count(preceding-sibling::sp:languages) + 1}]" name="Foreign languages">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:leisure">
<node xp="of:cv/sp:leisure[{count(preceding-sibling::sp:leisure) + 1}]" name="Pastimes">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:references">
<node xp="of:cv/sp:references[{count(preceding-sibling::sp:references) + 1}]" name="References">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:cv/sp:interview">
<node xp="of:cv/sp:interview[{count(preceding-sibling::sp:interview) + 1}]" name="Virtual interview">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:heading" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:heading" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:language" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:language" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:interview" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:interview" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:interviewPart" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:interviewPart" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:head"><xsl:value-of select="sp:givenName"/><xsl:if test="sp:familyName"><xsl:text> </xsl:text><xsl:value-of select="sp:familyName"/></xsl:if><xsl:if test="sp:tagline"><xsl:text>- </xsl:text><xsl:value-of select="sp:tagline"/></xsl:if></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:status">
<node xp="of:libre/sp:status[{count(preceding-sibling::sp:status) + 1}]" name="Current professional situation">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:blockM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:experience">
<node xp="of:libre/sp:experience[{count(preceding-sibling::sp:experience) + 1}]" name="Professional experience">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:diplomas">
<node xp="of:libre/sp:diplomas[{count(preceding-sibling::sp:diplomas) + 1}]" name="Training / Degrees">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:skills">
<node xp="of:libre/sp:skills[{count(preceding-sibling::sp:skills) + 1}]" name="Skills">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:languages">
<node xp="of:libre/sp:languages[{count(preceding-sibling::sp:languages) + 1}]" name="Foreign languages">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:leisure">
<node xp="of:libre/sp:leisure[{count(preceding-sibling::sp:leisure) + 1}]" name="Pastimes">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:references">
<node xp="of:libre/sp:references[{count(preceding-sibling::sp:references) + 1}]" name="References">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:section">
<node xp="of:libre/sp:section[{count(preceding-sibling::sp:section) + 1}]" name="Other section">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:libre/sp:interview">
<node xp="of:libre/sp:interview[{count(preceding-sibling::sp:interview) + 1}]" name="Virtual interview">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:map" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:mapM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:map" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:map/sp:area">
<node xp="of:map/sp:area[{count(preceding-sibling::sp:area) + 1}]" name="Area">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:marginBlock" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:marginBlock" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:marginBlock/sp:co">
<node xp="of:marginBlock/sp:co[{count(preceding-sibling::sp:co) + 1}]" name="Content">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>